Summary:       A graphical tool for managing a Certification Authority
Name:          tinyca2
Version:       0.7.5
Release:       4%{?dist}%{?pext}
License:       GPL
Group:         Applications/System
Source0:       http://tinyca.sm-zone.net/%{name}-%{version}.tar.bz2
URL:           http://tinyca.sm-zone.net/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Stephan Martin <sm@sm-zone.net>
Requires:      %{_bindir}/openssl
BuildRequires: gettext
BuildArch:     noarch


%description
TinyCA is a simple graphical user interface written in Perl/Gtk to manage
a small CA (Certification Authority). It works as a frontend for OpenSSL.


%prep
%setup -q

# Filter provides
%{__cat} << \_EOF_ >%{name}-prov
#!/bin/sh
%{__perl_provides} $* | \
	%{__sed} -e '/perl(OpenSSL)/d'
_EOF_

# Filter requires
%{__cat} << \_EOF_ >%{name}-req
#!/bin/sh
%{__perl_requires} $* | \
	%{__sed} -e '/perl(OpenSSL)/d'
_EOF_

%define __perl_provides %{_builddir}/%{name}-%{version}/%{name}-prov
%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
%{__chmod} +x %{name}-prov %{name}-req


%build
%{__perl} -pi -e 's:./lib:%{_libdir}/%{name}:g'        %{name}
%{__perl} -pi -e 's:./templates:%{_datadir}/%{name}:g' %{name}
%{__perl} -pi -e 's:./locale:%{_datadir}/locale:g'     %{name}

# Build locale
%{__make} -C po


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/%{name}/GUI
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/{applications,%{name}}

%{__install} -m 0755 %{name}      ${RPM_BUILD_ROOT}%{_bindir}

%{__install} -m 0644 lib/*.pm     ${RPM_BUILD_ROOT}%{_libdir}/%{name}
%{__install} -m 0644 lib/GUI/*.pm ${RPM_BUILD_ROOT}%{_libdir}/%{name}/GUI

%{__install} -m 0644 templates/*  ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__install} -m 0644 *.desktop    ${RPM_BUILD_ROOT}%{_datadir}/applications

# Install locale
%{__cp}      -r      locale       ${RPM_BUILD_ROOT}%{_datadir}

# Generate locale list
%find_lang %{name}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES INSTALL
%{_bindir}/%{name}
%{_libdir}/%{name}
%dir %{_datadir}/%{name}
%config(noreplace) %{_datadir}/%{name}/openssl.cnf
%config(noreplace) %{_datadir}/applications/%{name}.desktop


%changelog
* Tue Jan 27 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.7.5-4
- Rewritten for buildsystem

* Fri Sep 08 2006 peter.pramberger@member.fsf.org
- new version (0.7.5)

* Fri Mar 24 2006 peter.pramberger@member.fsf.org
- new version (0.7.2)

* Tue Oct 25 2005 peter.pramberger@member.fsf.org
- new version (0.7.1)

* Sun Sep 11 2005 peter.pramberger@member.fsf.org
- created
